﻿@using AdminCaja.Areas.Admin.Models
@using AdminCaja.Areas.Admin.Models.Procedures
@using AdminCaja.Helpers
@model PaggedData<ProcedureTypeViewModel>
<!-- ============================================================== -->
<!-- Bread crumb and right sidebar toggle -->
<!-- ============================================================== -->
<div class="row page-titles">
    <div class="col-md-5 col-8 align-self-center">
        <h3 class="text-themecolor m-b-0 m-t-0">Editar Home</h3>
        <ol class="breadcrumb">
            <li class="breadcrumb-item"><a href="/Admin">Inicio </a></li>
            <li class="breadcrumb-item active">Tipos de Trámites</li>
        </ol>
    </div>
</div>
<!-- ============================================================== -->
<!-- End Bread crumb and right sidebar toggle -->
<!-- ============================================================== -->
<!-- ============================================================== -->
<!-- Start Page Content -->
<!-- ============================================================== -->
<div class="row">
    <!-- column -->
    <div class="col-lg-12">
        <div id="" class="card wow slideInRight" data-wow-delay=".3s" data-wow-offset="300">
            <div class="perfil-head"></div>
            <dir class="row">
                <div class="col-lg-12">
                    <p>
                        <a href="/Admin/Procedures/AddType" class="btn btn-success">Crear tipo de trámite</a>
                </div>
            </dir>
            <div class="card-block">
                <div class="table-responsive">
                    <nav aria-label="Page navigation example">
                        <ul class="pagination justify-content-end">
                            <li class="page-item res-per-page">Página <strong>1/1</strong></li>
                            <li class="page-item res-per-page">Resultados por página</li>
                            <li class="page-item ">
                                <select name="resurlt" form="">
                                    <option value="10">10</option>
                                    <option value="20">20</option>
                                    <option value="30">30</option>
                                    <option value="40">40</option>
                                </select>
                            </li>
                        </ul>
                    </nav>
                    <br>
                    <table>
                        <thead>
                            <tr>
                                <th scope="col">Cliente</th>
                                <th scope="col">Tipo de Trámite</th>
                                <th scope="col">Acciones</th>
                            </tr>
                        </thead>
                        <tbody>
                            @foreach (var item in Model.Data)
                            {
                                <tr>
                                    <td data-label="Tipo de trámite">@item.CustomerType</td>
                                    <td data-label="Trámite">@item.Name</td>
                                    <td class="comandos" data-label="Acciones">
                                        <a href="/Admin/Procedures/EditType/@item.Id" class="btn btn-export">Editar</a>
                                        <a href="/Admin/Procedures/DeleteType/@item.Id" data-modal="popup" class="btn btn-export">Eliminar</a>
                                    </td>
                                </tr>

                            }
                        </tbody>
                    </table>
                    @Html.Partial("_paggedBar", Model)
                </div>
            </div>
        </div>
    </div>
</div>
<!-- ============================================================== -->
<!-- End PAge Content -->
<!-- ============================================================== -->
@section scripts{
    <script>
        function modalFormExecute(key, result) {
            window.location.href ="/Admin/Procedures/TypeIndex";
        }
    </script>
    }